# https://docs.readthedocs.io/en/stable/config-file/v2.html
version: 2
build:
  os: ubuntu-20.04
  tools:
    python: "3.9"
sphinx:
  configuration: docs/conf.py
  # disable this for more lenient docs builds
  fail_on_warning: false
python:
  install:
    - requirements: docs/requirements.txt
    - method: pip
      path: .
      extra_requirements:
        - docsbuild
submodules:
    include: [docs/tutorials/notebooks]
    recursive: true
